osgUtil::SceneGraphBuilder::QuadricState Struct Reference

`#include <SceneGraphBuilder>`

## Public Member Functions

| QuadricState ()

## Public Attributes

GLenum | _drawStyle
GLenum | _normals
GLenum | _orientation
GLboolean | _texture

## Constructor & Destructor Documentation

## QuadricState()

osgUtil::SceneGraphBuilder::QuadricState::QuadricState | ( |  | ) |

inline

References _drawStyle, _normals, _orientation, _texture, GLU_FALSE, GLU_FILL, GLU_OUTSIDE, and GLU_SMOOTH.

## Member Data Documentation

## _drawStyle

GLenum osgUtil::SceneGraphBuilder::QuadricState::_drawStyle

Referenced by QuadricState().

## _normals

GLenum osgUtil::SceneGraphBuilder::QuadricState::_normals

Referenced by QuadricState().

## _orientation

GLenum osgUtil::SceneGraphBuilder::QuadricState::_orientation

Referenced by QuadricState().

## _texture

GLboolean osgUtil::SceneGraphBuilder::QuadricState::_texture

Referenced by QuadricState().

The documentation for this struct was generated from the following file:

- SceneGraphBuilder